<div class="container">
    <div class="col-sm-12 col-md-offset-6 col-md-6">
    <div class="panel panel-default">
        <div class="panel-body">
            <h4 class="text-center">Reserver un e-billet</h4>
                <form style="width:220px;margin:auto;" action="./reserver/Ebillet" method="post" >
                    <div id="datechooser">
                    </div>
                    <input id="demijournee" name="demijournee" type="hidden"/>
                    <div class="checkbox">
                        <label><input name="checkAM" id="checkAM" type="checkbox">Matin</label>
                    </div>
                    <div class="checkbox">
                        <label><input name="checkPM" id="checkPM" type="checkbox">Après midi</label>
                    </div>
                    <div id="info"></div>
                    <script type="text/javascript">
                        function formatDate(datevalue){
                            var d = datevalue.getDate();
                            var m = datevalue.getMonth()+1;
                            var y = datevalue.getFullYear();
                            var format = y+"-"+m+"-"+d;
                            return format;
                        }

                        function updateInfo(format,time){
                            $.get("reserver/Ebillet", { date_journee : format, time : time }).done(function(data){
                                $('#info').html(data);
                            });
                        }

                        $('#checkAM').change(function() {
                            if($(this).is(":checked")){
                                format = formatDate($('#datechooser').datepicker("getDate"));
                                time = 'AM';
                                if($("#checkPM").is(":checked"))time+='PM';
                                updateInfo(format,time);
                            }else{
                                format = formatDate($('#datechooser').datepicker("getDate"));
                                time = '';
                                if($("#checkPM").is(":checked"))time+='PM';
                                updateInfo(format,time);
                            }
                        });

                        $('#checkPM').change(function() {
                            if($(this).is(":checked")){
                                format = formatDate($('#datechooser').datepicker("getDate"));
                                time = 'PM';
                                if($("#checkAM").is(":checked"))time='AM'+time;
                                updateInfo(format,time);
                            }else{
                                format = formatDate($('#datechooser').datepicker("getDate"));
                                time = '';
                                if($("#checkAM").is(":checked"))time='AM'+time;
                                updateInfo(format,time);
                            }
                        });

                        $('#datechooser').datepicker({
                            language: "fr",
                            format : 'dd/mm/yyyy'
                            }).on('changeDate', function(e) {
                                var format = formatDate(e.date);
                                var time = '';
                                if($("#checkAM").is(":checked"))time+='AM';
                                if($("#checkPM").is(":checked"))time+='PM';
                                updateInfo(format,time);
                                $("#demijournee").val(formatDate(e.date));
                            });
                    </script>
                    <div class="form-group">
                    <label for="eabonnements">Utiliser E-Abonnement :</label>
                    <select id="eabonnements" name="choixEabonnement" class="form-control">
                        <option value="-1">Aucun</option>
                    <?php
                        foreach($_SESSION['client']->eabonnements as $eabonnement){
                            echo '<option value="'.$eabonnement->numArt.'">('.$eabonnement->numArt.') places restantes : '.$eabonnement->NbRestant.'</option>';
                        }
                    ?>
                    </select>
                    </div>
                    <button class="btn btn-primary" name="commander" value="f2">Commander</button>
                </form>
            </div>
        </div>
    </div>
</div>